Bug 516920 - segfault in scsi_id
segfault in scsi_id
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-11 17:46 EDT by Matt Whiteley
Modified: 2009-10-13 21:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 141-7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-13 21:47:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gdb backtrace (3.10 KB, text/plain)
2009-08-11 17:46 EDT, Matt Whiteley
no flags Details

  None (edit)
Description Matt Whiteley 2009-08-11 17:46:29 EDT
Created attachment 357087 [details]
gdb backtrace

Description of problem:
scsi_id segfaults on iscsi targets

Version-Release number of selected component (if applicable):
udev-141-4.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1. setup iscsi target on solaris 10
2. login to target on fedora 11 host
3. scsi_id --export --whitelisted -d /dev/sdc
  
Actual results:
Aug 11 21:03:56 node30 kernel: scsi_id[8077]: segfault at 7fffec77b000 ip 00007f5813258070 sp 00007fffec779768 error 6 in libc-2.10.1.so[7f58131d9000+164000]
Aug 11 21:03:56 node30 udevd-event[8076]: 'scsi_id --export --whitelisted -d /dev/block/8:32' abnormal exit

Expected results:
A scsi id returned successfully.

Additional info:
This happened to me on a ovirt-node when it was trying to refresh a storage pool. It was reproducible from the command line. The targetname in use was 'iqn.1986-03.com.sun:02:525bffdd-269a-c5dc-ac79-94b3230a30ad'
Comment 1 Matt Whiteley 2009-08-28 18:34:51 EDT
I just tried this to a fully updated OpenSolaris 2009.06 server which is the newest stable version and had the exact same results.
Comment 2 Harald Hoyer 2009-09-14 12:23:17 EDT
(gdb) bt
#0  strcpy () at ../sysdeps/x86_64/strcpy.S:110
#1  0x0000000000403170 in check_fill_0x83_prespc3 (max_len=<value optimized out>, serial_short=<value optimized out>, 
    serial=<value optimized out>, id_search=<value optimized out>, page_83=<value optimized out>, dev_scsi=<value optimized out>, 
    udev=<value optimized out>) at /usr/include/bits/string3.h:106
#2  do_scsi_page83_inquiry (max_len=<value optimized out>, serial_short=<value optimized out>, serial=<value optimized out>, 
    id_search=<value optimized out>, page_83=<value optimized out>, dev_scsi=<value optimized out>, udev=<value optimized out>)
    at scsi_serial.c:645
#3  0x0000000000403486 in scsi_get_serial (udev=0x608010, dev_scsi=<value optimized out>, devname=<value optimized out>, 
    page_code=<value optimized out>, len=<value optimized out>) at scsi_serial.c:926
#4  0x0000000000401f57 in main (argc=<value optimized out>, argv=<value optimized out>) at scsi_id.c:571
Comment 3 Fedora Update System 2009-09-14 13:15:15 EDT
udev-141-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/udev-141-7.fc11
Comment 4 Fedora Update System 2009-09-15 16:59:58 EDT
udev-141-7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9633
Comment 5 Fedora Update System 2009-10-13 21:46:55 EDT
udev-141-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.